%global _owner pgnd
%global _build_timestamp %( date +%%Y%%m%%d_%%H%%M%%S --utc )

%define _fj_name        forgejo
%define _fj_ug_name     %{_fj_name}-sysusers
%define _fj_ug_pkgname  %{_fj_ug_name}
%define _fj_ug_comment  Forgejo users & groups

# https://spdx.org/licenses/MIT.html
%global _fj_ug_license MIT

%define _fj_ug_file_in  %{_fj_name}.sysusers
%define _fj_ug_file_out %{_fj_name}.conf
%define _fj_ug_dir      /etc/sysusers.d

%global _dist .%{_build_timestamp}.%{_owner}.fc%{fedora}

# NEVRA (n-e:v-r.a)
Name:              %{_fj_ug_name}
Epoch:             0
Version:           git_1.0
Release:           0%{?dist}
BuildArch:         noarch

Summary:           %{_fj_ug_comment}
License:           %{_fj_ug_license}

Source0:           %{_fj_ug_file_in}
Provides:          group(%{_fj_name})
Provides:          user(%{_fj_name})

BuildRequires:     coreutils
BuildRequires:     systemd-rpm-macros

%description
%{_fj_ug_comment}

%prep
cp %{SOURCE0} .

%build

%install
mkdir -p %{buildroot}%{_fj_ug_dir}
install -p -T -m 644 %{SOURCE0} %{buildroot}%{_fj_ug_dir}/%{_fj_ug_file_out}

%check

%pre

%files
%dir %{_fj_ug_dir}
%{_fj_ug_dir}/%{_fj_ug_file_out}

%changelog
* Sat Apr 26 2025 pgnd _ <null@null.loc>
- bump 1745723191

